Skip to main content
GET
/
v1
/
installs
/
{installSid}
/
reports
/
examOverview
Exam Overview
curl --request GET \
  --url http://api.dev.smarterproctoring.com/v1/installs/{installSid}/reports/examOverview \
  --header 'token: <api-key>'
{
  "total": 123,
  "first": "<string>",
  "next": "<string>",
  "prev": "<string>",
  "last": "<string>",
  "count": 123,
  "offset": 123,
  "results": [
    {
      "sid": "<string>",
      "title": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Install Sid

Pattern: ^AI[a-f0-9]{32}$

Query Parameters

courseOfferingSid
string

Course offering

Pattern: ^CO[a-f0-9]{32}$
courseTitle
string

Title of the course

courseCode
string

Course code

examTitle
string

Title of the exam

instructorFirstName
string

First name of the instructor

instructorLastName
string

Last name of the instructor

examOpenDate
string

Exam Open date, must provide close date with it

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

examCloseDate
string

Exam Close date, must provide open date with it

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

examScheduleOpenDate
string

Exam Session Open date, must provide close date with it

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

examScheduleCloseDate
string

Exam Session Close date, must provide open date with it

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

needsProctor
boolean

Show only the exam that needs proctor

offset
integer

Result offset

Required range: x >= 0
limit
integer

Number of items to return

Required range: x >= 0
sortBy
enum<string>
required

Key to sort by

Available options:
status needs proctor,
status cancelled,
status scheduled,
status closed,
examOpenDate,
examCloseDate,
examScheduleOpenDate,
examScheduleCloseDate,
examTitle

Response

200 - application/json

Successful

total
number | null
first
string | null
next
string | null
prev
string | null
last
string | null
count
number | null
offset
number | null
results
object[]